%define name	nagios-check_zone_auth
%define version	1.9
%define release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Check DNS zones synchronisation
Group:		Networking/Other
License:	BSD
URL:		http://dns.measurement-factory.com/tools/nagios-plugins/check_zone_auth.html
Source0:	http://dns.measurement-factory.com/tools/nagios-plugins/src/check_zone_auth
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Use this plugin with Nagios to make sure that the authoritative nameservers for
a given zone remain in sync.

%prep

%build


%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_libdir}/nagios/plugins
install -m 755 %{SOURCE0} %{buildroot}%{_libdir}/nagios/plugins

install -d -m 755 %{buildroot}%{_sysconfdir}/nagios/plugins.d
cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_zone_auth.cfg <<'EOF'
define command{
	command_name	check_zone_auth
	command_line	%{_libdir}/nagios/plugins/check_zone_auth -Z $HOSTADDRESS$
}
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/nagios/plugins/check_zone_auth
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_zone_auth.cfg


%changelog
* Wed Aug 13 2008 Michael Scherer <misc@mandriva.org> 1.9-2mdv2009.0
+ Revision: 271401
- fix configuration

* Mon Jul 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.9-1mdv2009.0
+ Revision: 232349
- new version

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-4mdv2008.1
+ Revision: 168929
- fix configuration (thanks oden)

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-3mdv2008.1
+ Revision: 168914
- add a configuration file

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-2mdv2008.1
+ Revision: 168795
- not a noarch package, as nagios plugins installation directory is arch-dependant

* Fri Feb 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-1mdv2008.1
+ Revision: 161107
- import nagios-check_zone_auth


* Fri Feb 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.1-1mdv2008.1
- first release as independant package
